Bug 126670 - www/apache22 packages fail to include etc/rc.d scripts
Summary: www/apache22 packages fail to include etc/rc.d scripts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-20 06:00 UTC by Joseph S Atkinson
Modified: 2008-12-21 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (714 bytes, patch)
2008-08-20 06:00 UTC, Joseph S Atkinson
no flags Details | Diff
apache22.diff (714 bytes, patch)
2008-08-22 14:30 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S Atkinson 2008-08-20 06:00:08 UTC
Building a package for www/apache22 fails to create etc/rc.d/apache22 and etc/rc.d/htcacheclean. The files are installed via 'make install', but are not included for use when using pkg_add. This becomes readily apparent when trying to (auto)start via rc.conf.

Additionally, when using pkg_delete, it registers complaints that it cannot rmdir certain empty directories that do get made via 'make install'.

Fix: Don't attempt to redefine RC_SUBR_SUFFIX since the default in Mk/bsd.port.mk is correct and this line is the culprit.

Additionally, force the creation of the empty directories when installing from packages in case something actually uses them.

Patch included.

Additionally, I am unable to submit via send-pr. I suspect it's caught in the spam filters, can someone contact me in regards to this?

Patch attached with submission follows:
How-To-Repeat: $ make package

Check ${LOCALBASE}/etc/rc.d/ (there)

$ make deinstall && pkg_add ${PACKAGES}/www/apache-2.2.9.tbz

Check ${LOCALBASE}/etc/rc.d/ (not there)

$ pkg_delete apache-2.2.9

Complains about missing directories
Comment 1 Philip M. Gollucci freebsd_committer 2008-08-20 06:05:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 pgollucci 2008-08-22 14:30:36 UTC
revised patch from submitter --

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 3 dfilter service freebsd_committer 2008-09-01 00:00:41 UTC
clement     2008-08-31 23:00:27 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile pkg-plist 
    www/apache22/files   apache22.sh.in 
  Added files:
    www/apache22/files   patch-CVE-2008-2939 
  Log:
  - Yet Another Plist Fix [1]
  - Completely shut up rc.d script when no profiles are enabled
    (add add support to disable profiles) [2]
  - Fix CVE-2008-2939 for mod_proxy_ftp
    (XSS attacks when using wildcards in the path of the FTP URL)
  - Add "apache22_fib" to start apache22 prefixed by
    "setfib -F ${apache22_fib}", so apache can use an alternate
    network view (not carefully tested yet)
  - Revert previous patch to "fix" missing rc.d scripts. It
    actually breaks profiles.
  - Bump PORTREVISION
  
  PR:             ports/126670 [1],
                  ports/116627 [2]
  Submitted by:   Joseph S. Atkinson [1],
                  Eygene Ryabinkin [2]
  Security:       CVE-2008-2939
  
  Special thanks to: pgollucci@
  
  Revision  Changes    Path
  1.222     +5 -3      ports/www/apache22/Makefile
  1.6       +43 -2     ports/www/apache22/files/apache22.sh.in
  1.1       +11 -0     ports/www/apache22/files/patch-CVE-2008-2939 (new)
  1.89      +3 -2      ports/www/apache22/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2008-12-21 00:20:24 UTC
State Changed
From-To: open->closed

Submitter requested closed